Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Nicolas Bértolo <[email-masked]>
Date: Wed, 13 May 2020 17:01:59 -0300

> Did you manage to understand why?  How many bytes of *.eln files does
> Emacs load while autoloading Helm, for example?

I don't know how to measure that, sorry. AFAIK Emacs just maps many subr to the
correct function pointers and the OS takes care of loading the appropriate code
on page faults.

My guess is that autoloading triggers a long series of eln loading operations,
that, as a group, are very expensive.

Do you know what profiler I could use to check what Emacs is doing?

> Is that the handle from LoadLibrary?  If so, cannot we close the
> handle once the .eln file is loaded?

Exactly. No, calling FreeLibrary would unload the file from the address space.

El mié., 13 may. 2020 a las 16:40, Eli Zaretskii (<[email-masked]>) escribió:
>
> > From: Nicolas Bértolo <[email-masked]>
> > Date: Wed, 13 May 2020 16:26:57 -0300
> >
> > * `package-delete` fails because it tries to delete the .eln file via
> >   `delete-file`. This is impossible in Windows because it's generally impossible
> >   to delete files that have an open HANDLE in the system.
>
> Is that the handle from LoadLibrary?  If so, cannot we close the
> handle once the .eln file is loaded?
>
> Thanks.